net.snowflake.client.jdbc

## Interface SnowflakeResultSet

    public interface SnowflakeResultSet

This interface defines Snowflake specific APIs for ResultSet

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getQueryID()`
`List<SnowflakeResultSetSerializable>` `getResultSetSerializables()` Get a list of ResultSetSerializables for the ResultSet in order to parallel processing

### Method Detail

#### getQueryID

    String getQueryID()
               throws SQLException

Returns:
  the Snowflake query ID of the query which generated this result set
Throws:
  `SQLException`

#### getResultSetSerializables

    List<SnowflakeResultSetSerializable> getResultSetSerializables()
                                                            throws SQLException

Get a list of ResultSetSerializables for the ResultSet in order to parallel processing

Returns:
  a list of ResultSetSerializables
Throws:
  `SQLException`